## SYNOPSIS

           du [OPTION]... [FILE]...

## DESCRIPTION

           Summarize  disk usage of each FILE, recursively for direc
           tories.

           Mandatory arguments to  long  options  are  mandatory  for
           short options too.

           -a, --all
                  write counts for all files, not just directories

           --apparent-size
                  print  apparent  sizes,  rather  than  disk  usage;
                  although the apparent size is usually  smaller,  it
                  may  be  larger  due  to holes in (`sparse') files,
                  internal fragmentation, indirect  blocks,  and  the
                  like

           -B, --block-size=SIZE use SIZE-byte blocks

           -b, --bytes
                  equivalent to `--apparent-size --block-size=1'

           -c, --total
                  produce a grand total

           -D, --dereference-args
                  dereference FILEs that are symbolic links

           -h, --human-readable
                  print sizes in human readable format (e.g., 1K 234M
                  2G)

           -H, --si
                  likewise, but use powers of 1000 not 1024

           -k     like --block-size=1K

           -l, --count-links
                  count sizes many times if hard linked

           -L, --dereference
                  dereference all symbolic links

           -S, --separate-dirs
                  do not include size of subdirectories

           -s, --summarize
                  display only a total for each argument

           --help display this help and exit

           --version
                  output version information and exit

           SIZE  may be (or may be an integer optionally followed by)
           one of  following:  kB  1000,  K  1024,  MB  1,000,000,  M
           1,048,576, and so on for G, T, P, E, Z, Y.

## PATTERNS

           PATTERN  is  a  shell  pattern (not a regular expression).
           The pattern  ?   matches  any  one  character,  whereas  *
           matches  any  string  (composed  of  zero, one or multiple
           characters).  For example, *.o will match any files  whose
           names end in .o.  Therefore, the command

                  du --exclude='*.o'

           will  skip  all  files  and  subdirectories  ending  in .o
           (including the file .o itself).

## AUTHOR

           Written  by  Torbjorn  Granlund,  David  MacKenzie,  Larry
           McVoy, Paul Eggert, and Jim Meyering.

## REPORTING BUGS

           Report bugs to <bug-coreutils@gnu.org>.

## COPYRIGHT

           Copyright © 2003 Free Software Foundation, Inc.
           This  is  free software; see the source for copying condi
           tions.  There is NO warranty; not even for MERCHANTABILITY
           or FITNESS FOR A PARTICULAR PURPOSE.

## SEE ALSO

           The  full  documentation for du is maintained as a Texinfo
           manual.   If  the  info  and  du  programs  are   properly
           installed at your site, the command

                  info du

           should give you access to the complete manual.

    du (coreutils) 4.5.8      February 2003                     DU(1)